import 'package:json_annotation/json_annotation.dart';

part 'delivery_update_response.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class DeliveryUpdateResponseDTO {
  DeliveryUpdateResponseDTO(
      {required this.message, required this.code});

  final String code;
  final String message;

  factory DeliveryUpdateResponseDTO.fromJson(Map<String, dynamic> json) =>
      _$DeliveryUpdateResponseDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$DeliveryUpdateResponseDTOToJson(this);
}
